<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php
/*
 * Pontifical Catholic University of Rio de Janeiro
  *
 * Authors: Gustavo Moreira
 * Created on 10/09/2009
 */
 function userLogin($login,$senha)
			{
				// criptografa a senha
				$senha = md5($senha);
				$sql = "select codusuario, senha from usuario where login ='$login'";
				$res = $this->_query($sql);
				$x = $this->_fetch_array($res);
				if ($x["senha"] != $senha)
				{
				   return false;

				}

				$cod = $x["codusuario"];
				return $cod;
			}
            
            
function retiraAcentos($nomeArg) {
    
    $string = $nomeArg;
    $a = 'ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõöøùúûýýþÿŔŕ';
    $b = 'aaaaaaaceeeeiiiidnoooooouuuuybsaaaaaaaceeeeiiiidnoooooouuuyybyRr';
    $string = utf8_decode($string);    
    $string = strtr($string, utf8_decode($a), $b);
    $string = strtoupper($string);
    $string = utf8_encode($string);
    
    return $string;
}

/*
Função para armazenar log de execução

Cod. Status
0 - Msg Informativa
1 - Erro ao acessar tabela de séries
2 - Erro ao chamar uma URL de um calculador
3 - Retorno de um calculador em formato inválido
4 - Retorno de cód de erro de um calculador
5 - Erro ao atualizar série historica

*/

function  GravarLog($programa, $msg, $status, $conexao)
{
    //replace no caracter de plique
    $msg = str_replace("'","''",$msg);
    
    //limitar mensagem em 1024 caracteres
    if (count($msg) > 1024)
    {
        $msg = substr($msg,0,1024);
    }
    
    $sql = "insert into LOG (datalog, programa, mensagem, status) values ( now(), '$programa', '$msg', $status )" ;    
    $ret = pg_query($conexao, utf8_encode($sql));
    
    if  (!$ret)
    {
        echo "Erro ao gravar LOG: " . pg_last_error() . " SQL: $sql";
    }
}

?>

